Bug 1685939 - Include GNOME 3.31.92 in Fedora 30 Beta
Summary: Include GNOME 3.31.92 in Fedora 30 Beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-03-06 11:04 UTC by Kalev Lember
Modified: 2019-03-12 17:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 17:00:44 UTC


Attachments (Terms of Use)

Description Kalev Lember 2019-03-06 11:04:09 UTC
This is a bureaucracy bug: I'm filing it to propose it for a Fedora 30 Beta freeze exception. GNOME 3.31.92 is built and an update submitted: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8 .

GNOME 3.31.92 is the release candidate for GNOME 3.32 that we're going to be shipping in F30 final. Now that 3.31.92 is out, upstream is in hard code freeze until the 3.32.0 release is out.

I think it would make sense to ship F30 Beta with 3.31.92 to get as much testing as possible so that we have less surprises for final. I'm confident that we (the Desktop team) can timely track down and fix any possible regressions between 3.31.91 (currently in F30 stable) and 3.31.92 that need urgent attention.

Note that the Fedora and GNOME schedule conflicts for this cycle are documented in https://fedoraproject.org/wiki/Changes/GNOME3.32

Comment 1 Fedora Update System 2019-03-06 14:15:59 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-1.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-1.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 2 Adam Williamson 2019-03-06 19:54:45 UTC
+1 FE for me, let's get it in and figure the bugs out...

Comment 3 Kevin Fenzi 2019-03-06 19:59:14 UTC
+1 FE

Comment 4 Fedora Update System 2019-03-06 22:54:01 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-2.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 5 František Zatloukal 2019-03-07 15:37:48 UTC
+1 FE

Comment 6 Adam Williamson 2019-03-07 23:23:19 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1686649 is a major issue, we should not push this till that is resolved.

Comment 7 Fedora Update System 2019-03-08 08:36:10 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 dconf-0.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-2.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-desktop3-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-settings-daemon-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-user-share-3.32.0-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gsettings-desktop-schemas-3.31.92-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-3.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 tracker-2.2.1-1.fc30 tracker-miners-2.2.1-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 8 Fedora Update System 2019-03-08 19:45:15 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 9 Adam Williamson 2019-03-11 17:39:10 UTC
For the record, the color bug I mentioned above has now been fixed.

Comment 10 Geoffrey Marr 2019-03-11 20:30:33 UTC
Discussed during the 2019-03-11 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as we're generally inclined to accept FEs for newer pre-releases of the GNOME version we want to include in the final release. We still have some time till Beta release, and this has tested out well in manual and automated testing so far.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-03-11/f30-blocker-review.2019-03-11-16.04.txt

Comment 11 Fedora Update System 2019-03-12 17:00:44 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.